Skip to main content
GET
/
accounts
Retrieve all accounts
curl --request GET \
  --url https://api.brale.xyz/accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
    "status": "complete",
    "business_name": "ABC Company Inc",
    "ein": "111-11-1111",
    "address": {
      "street_line_1": "123 Main St",
      "city": "Des Moines",
      "state": "Iowa",
      "zip": "12345",
      "street_line_2": "Apt C"
    },
    "phone_number": "2134678902",
    "email": "mark@example.com",
    "website": "abccompany.com",
    "ultimate_beneficial_owners": [
      {
        "name": "John Doe",
        "ssn": "222-22-2222",
        "address": {
          "street_line_1": "123 Main St",
          "city": "Des Moines",
          "state": "Iowa",
          "zip": "12345",
          "street_line_2": "Apt C"
        }
      }
    ]
  }
]
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.

Authorizations

Authorization
string
header
required

Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.

Response

200 - */*

An array of accounts

id
string<ksuid>
Pattern: ^[a-zA-Z0-9]{26}$
Example:

"2VcUIIsgARwVbEGlIYbhg6fGG57"

status
enum<string>

Current KYB / onboarding status of the account

Available options:
complete,
pending,
rejected
Example:

"complete"

business_name
string
Example:

"ABC Company Inc"

ein
string
Example:

"111-11-1111"

address
AccountAddress · object
phone_number
string
Example:

"2134678902"

email
string<email>
Example:

"mark@example.com"

website
string
Example:

"abccompany.com"

ultimate_beneficial_owners
UltimateBeneficialOwner · object[]